/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmRecipient;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmRecipientRecord extends UpdatableRecordImpl<TDmRecipientRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_recipient.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_recipient.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_recipient.pk</code>. RECIP: id for type
     * of recipient
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_recipient.pk</code>. RECIP: id for type
     * of recipient
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_recipient.fk_lang</code>. RECIP: language
     * key for the recipient
     */
    public void setFkLang(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_recipient.fk_lang</code>. RECIP: language
     * key for the recipient
     */
    public String getFkLang() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmRecipientRecord
     */
    public TDmRecipientRecord() {
        super(TDmRecipient.T_DM_RECIPIENT);
    }

    /**
     * Create a detached, initialised TDmRecipientRecord
     */
    public TDmRecipientRecord(LocalDateTime lastchange, Integer pk, String fkLang) {
        super(TDmRecipient.T_DM_RECIPIENT);

        setLastchange(lastchange);
        setPk(pk);
        setFkLang(fkLang);
        resetChangedOnNotNull();
    }
}
